Computer Requirements

Computer Requirements for Provider Connect & Avatar

 

 

 Minimum

 Recommended

 Processor

 1.0 GHz or faster 32-bit (x86)

 2.0 GHz 32-bit (x86) or 64-bit

 Memory (RAM)

 1GB

 2GB or greater

 Hard Disk Space

 1GB

 2GB or greater

Operating System

 Windows 7 or 8

 Windows 10

 Display

 VGA (1024 x 768) or higher

 

Monitors with resolution known as 1080p

or FHD(1920x1080) and K / Ultra HD

(3840 x 2160), 2K / QHD (2560 x 1440) is

not supported. This includes all high

resolution and retina displays such as

(Microsoft Surface and HP Spectre)

Avatar will show very small. Support will

be targeted post the release of Java 9,

with an estimated release no sooner than

July 2018.

 VGA (1024 x 768) or higher

 

Monitors with resolution known as 1080p

or FHD(1920x1080) and K / Ultra HD

(3840 x 2160), 2K / QHD (2560 x 1440) is

not supported. This includes all high

resolution and retina displays such as

(Microsoft Surface and HP Spectre)

Avatar will show very small. Support will

be targeted post the release of Java 9,

with an estimated release no sooner than

July 2018.

 Mouse

 Microsoft or compatible pointing device

 Microsoft or compatible pointing device

 Network

 50kbs per concurrent user

 Latency below 50ms

 Jitter below 2ms

 60kbs+ per concurrent user

 Latency below 40ms

 Jitter below 2ms

 Browser

 IE 9 (Windows 7)

 IE 10 (Windows 7, 8)

 IE 11 (Windows 7, 8.1,10)

 IE 32-bit only in compatibility mode 

 Google Chrome (16+)

 Mozilla Firefox (10+)

 IE 10 (Windows 7, 8)

 IE 11 (Windows 7, 8.1,10)

 IE 32-bit only in compatibility mode

 Google Chrome (58)

 Mozilla Firefox (53)

 Java

Individually Supported Versions

(32-bit only)

 

JRE 1.6. u22 to u49 (Known security

faults, not recommended) (Windows 8+

requires JRE 1.6 u38 or later versions)

 

JRE 1.7.0_45

 

JRE 1.7.0 u51 (RADplus 2011 or higher +

MW Build 2014.01.00.1276 or higher)

 

JRE 1.7 u55 to u80 (RADplus 2011 or

higher + MW Build 2014.01.00.1276 or

higher)

 

JRE 1.8 u5 to u71,73* (RADplus 2011 or

higher + MW Build 2014.01.00.1276 or

higher)

 

JRE 1.8 u77 - u131),Requires MW Build

2016.01.00 build 1735 or higher

 

Recommended Latest Version

(32-bit only)

 

JRE 1.8u161 is supported. 

 

Build 2017.00.00

 

Build 1881 or higher

 

 


 

Important Downloads for Avatar (for IT Staff)

                                                                                                                                                                                                                                                                                                         

This site is powered by the Northwoods Titan Content Management System